package SOF2Logger::Parser::SOF2::OSP;

use strict;

use base qw/SOF2Logger::Parser::SOF2/;

# NOTES: It looks like we may be able to determine if we're running OSP or not:

# from the init line: \sv_ospClient\1\
# or \gameversion\OSP++ v0.1b beta\ (also from the init line)

sub is_headshot_kill
{
    my ($self, $long_info) = @_;

    return $long_info =~ /at hit location:1024 onsameteam:.$/;
}

1;
