#!/usr/bin/perl -w

use strict;

use Test::More tests => 3;

use SOF2Logger::Parser::SOF2::OSP;

is(SOF2Logger::Parser::SOF2::OSP->is_headshot_kill('at hit location:1024 onsameteam:1'),
    1,
    'is headshot line');

ok(!SOF2Logger::Parser::SOF2::OSP->is_headshot_kill(
    '*GWJ* at hit location:1024 by MOD_M590_SHOTGUN at hit location:8 onsameteam:0'),
    'is not headshot line');

ok(SOF2Logger::Parser::SOF2::OSP->is_headshot_kill(
    '*GWJ* ThE HiLL|DK killed *GWJ* ThePhoeniX CL by MOD_M590_SHOTGUN at hit location:1024 onsameteam:0'),
    'is headshot line');

