#!/usr/bin/perl

use strict;
use warnings;

use Test::More tests => 2;

BEGIN { use_ok('SOF2Logger::Parser::Q3A') }

my $parser = SOF2Logger::Parser::Q3A->new('test.log', 0);

$parser->init_game(100, '\sv_punkbuster\1\version\SOF2MP V1.02a linux-i386 Sep 24 2002\gamename\sof2mp\gameversion\OSP v0.2w beta\team_redName\Red team\team_blueName\Blue team');

isa_ok($parser, 'SOF2Logger::Parser::SOF2::OSP', 'parser gets reset as necessary');


